%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function plot_ocsvm(x, hkernel, kernelparam, lambda, alpha, bfile, filepath)
% function plot_ocsvm(x, hkernel, kernelparam, lambda, alpha, bfile, filepath)
%	x				n x p feature vector
%	hkernel			kernel function handle
%	kernelparam		kernel parameter
%	lambda			lambda=1/C
%	alpha			solution path
%	eta				eta
%	bfile			boolean file
%	filepath		string file path
%
eta = 1;
if nargin < 6, bfile = false; end
if nargin < 7, filepath = 'pics\'; end

blinear = isequal(hkernel, @knl_poly) && (kernelparam == 1);

steps = length(lambda);

if (blinear)	Kgrid = []; X1 = []; X2 = [];
else			[Kgrid X1 X2] = util_knlgrid(x, hkernel, kernelparam);
end

plot_init();
for l=1:steps
	fhat = plot_ocsvm_fgrid(x, alpha(:,l), lambda(l), blinear, Kgrid, eta);
	filename = [filepath num2str(l, '%03d')];
	plot_ocsvm_step(x, X1, X2, fhat, blinear, bfile, filename);
end
